Bug 23953 - setserial changes irq setting for irq 9
setserial changes irq setting for irq 9
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: setserial (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-13 11:39 EST by Bill Gorder
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-19 09:03:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Gorder 2001-01-13 11:39:24 EST
I have a PCI modem (US Robotics model 3CP5610A).  The bus walk places 
the modem at port 0xd400 and irq 9 (from /proc/pci).  I use setserial 
to set the port and irq values, but setserial changes my irq 9 request 
to irq 2.  The man page for setserial has the statement, "On AT class 
machines, IRQ2 is seen as IRQ9 and Linux will interpret it in this 
way."  This may be fine for AT class machines, but this is disaster for 
PCI - irq 2 is assigned to the process controller for cascade 
interrupts.

This technique for configuring PCI modems is documented at 
http://www.o2.net/~gromitkc/3cp5610.txt with a pointer to this page 
from Red Hat.
Comment 1 Tim Waugh 2001-10-19 09:02:59 EDT
What exactly are the bad effects that you see? 
Comment 2 Tim Waugh 2001-10-19 09:36:49 EDT
Apprently this works fine in 7.1.  Closing.

Note You need to log in before you can comment on or make changes to this bug.